#
# spec file for package obs-service-refresh_patches
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service refresh_patches

Name:           obs-service-%{service}
Version:        0.3.9+git.1394121974.21d4106
Release:        8.1
Summary:        An OBS source service: Refreshs local patches
License:        Apache-2.0
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.gz
#NOTE(saschpe): Any Python will do:
Requires:       python
Requires:       quilt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It refreshes locals patches by using quilt.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 refresh_patches %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 refresh_patches.service %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Thu Mar  6 2014 speilicke@suse.com
- Update to version 0.3.9+git.1394121974.21d4106:
  + Fix dropped_patches
* Mon Feb 17 2014 speilicke@suse.com
- Update to version 0.3.8+git.1392653668.565b745:
  + Remove patches only after processing all specs
* Wed Feb 12 2014 speilicke@suse.com
- Update to version 0.3.7+git.1392213832.12f52e6:
  + Disable positive notifications (be more quiet)
  + Don't create entry for no changes
* Mon Feb 10 2014 speilicke@suse.com
- Update to version 0.3.6+git.1392041308.272e6ab:
  + Adjust changes message for refreshed patches
* Fri Jan 17 2014 speilicke@suse.com
- Update to version 0.3.6+git.1389964042.5343549:
  + Introduce "--ignorefuzz" argument
* Tue Dec 10 2013 speilicke@suse.com
- Update to version 0.3.5+git.1386667973.d5e8213:
  + Rework fuzz detection
  + Pass --fuzz=0 to "quilt setup"
  + Do not list twice patches in .changes entry
  + Switch to C locale to avoid parsing localized output
* Mon Dec  9 2013 speilicke@suse.com
- Update to version 0.3.4.1+git.1386598065.93569e2:
  + Support quilt on SLE_11
* Mon Dec  9 2013 speilicke@suse.com
- Update to version 0.3.4+git.1386595051.c3f87d4:
  + Fix %%pre section patch regex
* Tue Nov 26 2013 speilicke@suse.com
- Update to version 0.3.3+git.1385473723.13c63f4:
  + Whitespaces handling in OSCRC_EMAIL regexp
* Tue Nov 26 2013 speilicke@suse.com
- Update to version 0.3.2+git.1385463523.dfec30c:
  + Exit early in case of errorsFix default changesauthor
* Mon Nov 18 2013 speilicke@suse.com
- Require python
* Thu Nov 14 2013 speilicke@suse.com
- Update to version 0.3.1+git.1384442162.3a0e42a:
  + Kill semicolonMore robust untarred directory finding
  + Also refresh patches applying with fuzz
  + Quilt unpacked tarball name can have arbitatry name
  + Better abort criteria
  + Always remove untarred dir
  + Implement dropping patches
  + Use compiled regular expressions
  + Remove dropped patches from specfile
* Mon Nov 11 2013 speilicke@suse.com
- Update to version 0.2+git.1383925560.c99dd8e:
  + Done implementing base logicGenerate *.changes file entries
  + Avoid writing the same changes twice
  + Kill semicolon
* Fri Nov  8 2013 speilicke@suse.com
- Update to version 0.2+git.1383921307.c464e65:
  + Done implementing base logicGenerate *.changes file entries
  + Avoid writing the same changes twice
* Fri Nov  8 2013 speilicke@suse.com
- Initial version
